<?php
require_once('include/syno_conf.php');
require_once(SYNOBLOG_INCLUDE_MODULE);

if (0 == csSYNOPhotoMisc::GetUserType()) {
    header("Location: ".SYNOPHOTO_URL_PREFIX."/photo/index.php");
    exit;
}

SYNOBLOG_MODULE_CheckModuleExistence();

$dsmVersion = csSYNOPhotoMisc::GetDsmVersion();
$packageVersion = csSYNOPhotoMisc::GetPackageVersion();
$smarty->assign('DSM_VERSION', '?v='.$dsmVersion);
$smarty->assign('PACKAGE_VERSION', '?v='.$packageVersion);

$lang = $_SESSION[SYNOPHOTO_ADMIN_USER]['lang'];
$smarty->assign('LAN_PARAM', "ln=$lang");

$conf = csSYNOPhotoMisc::GetConfigFile(SYNO_DEF_CNF_FILE, 'company|updateurl');

$jsGlobalVars = 'var gIsDemoMode = false;';
if ('yes' == $_SESSION[SYNOPHOTO_ADMIN_USER]['system_config']['cfg']['enable_demomode']) {
	$jsGlobalVars .= 'gIsDemoMode = true;';
}

$smarty->assign('page_title', __(photo_management_title));
$smarty->assign('blog_modules', $SYNOPHOTO_BLOG_MODULES);
$smarty->assign('welcome_title', csSYNOPhotoMisc::GetWelcomeText());
$smarty->assign('company_name', ucfirst($conf['company']));

$smarty->assign('company_link', $conf['updateurl']);
$smarty->assign('photo_str_ap_name', __(photo_str_ap_name));
$smarty->assign('header_link_array', csSYNOPhotoMisc::GetTopHeaderLinkArray());
$smarty->assign('STR_SETTING', __(photo_str_management));
$smarty->assign('JS_GLOBAL_VARS', $jsGlobalVars);

$smarty->display('admin/index.tpl');
?>
