<?php
require_once('include/synophoto_mobile_conf.php'); 
function DeleteOneItem($itemType, $filePath)
{
	$result = array();
	$result['success'] = csSYNOPhotoBrowse::GetBrowseInstance()->DeleteOneItem($filePath, $itemType);
	return $result;
}

function DeleteItems($albumlist, $photolist, $videolist)
{
	$result = array();
	$photolist = json_decode($photolist);
	$videolist = json_decode($videolist);
	$result['success'] = csSYNOPhotoBrowse::GetBrowseInstance()->DeleteItems($albumlist, $photolist, $videolist);
	return $result;
}

function DeleteAlbums($albumlist)
{
	$result = array();
	$result['success'] = csSYNOPhotoBrowse::GetBrowseInstance()->DeleteAlbums($albumlist);
	return $result;
}

function DispatchAction($action)
{
	$result = array();
	$result['success'] = false;
	switch ($action) {
		case 'delete_one_item':
			if (isSet($_SESSION[SYNOPHOTO_ADMIN_USER]['admin_syno_user'])) {
				if (isSet($_REQUEST['itemType']) && isSet($_REQUEST['filePath'])) {
					$result = DeleteOneItem($_REQUEST['itemType'], $_REQUEST['filePath']);
				} else {
					$result['success'] = 'error_bad_parameter';
				}
			} else {
			    $result['success'] = 'error_not_login';
			}
			break;
		case 'delete_items':
			if (isSet($_SESSION[SYNOPHOTO_ADMIN_USER]['admin_syno_user'])) {
				if (isSet($_POST['album_list']) && isSet($_POST['photo_list']) && isSet($_POST['video_list'])) {
					$result = DeleteItems($_REQUEST['album_list'], $_REQUEST['photo_list'], $_REQUEST['video_list']);
				} else {
					$result['success'] = 'error_bad_parameter';
				}
			} else {
				$result['success'] = 'error_not_login';
			}
			break;
		case 'delete_albums':
			if (isSet($_SESSION[SYNOPHOTO_ADMIN_USER]['admin_syno_user'])) {
				if (isSet($_REQUEST['album_list'])) {
					$result = DeleteAlbums($_REQUEST['album_list']);
				} else {
					$result['success'] = 'error_bad_parameter';
				}
			} else {
				$result['success'] = 'error_not_login';
			}
			break;
		default:
			break;
	}
	return $result;
}
$action = isSet($_REQUEST['action']) ? $_REQUEST['action'] : '';
echo json_encode(DispatchAction($action));
?>
