<?php
require_once("syno_conf.php");

$SZ_SESSION_LOST = 'session_lost';

$result['uploadable_albums'] = array();
$result['sub_albums'] = array();
$result['is_admin'] = false;
$result['success'] = true;
$result['err_msg'] = '';

if (isset($_SESSION[SYNOPHOTO_ADMIN_USER]['admin_syno_user'])) {
	$query = "Select sharename from photo_share order by sharename asc";
	$result['is_admin'] = true;
} elseif (isset($_SESSION[SYNOPHOTO_ADMIN_USER]['reg_syno_user'])) {
	$query = "Select sharename from photo_share where shareid in (select shareid from ".PHOTO_UPLOAD_RIGHT_TABLE." where userid = ".$_SESSION[SYNOPHOTO_ADMIN_USER]['reg_syno_userid'].") order by sharename asc";
	$result['is_admin'] = false;
} else {
	$result['success'] = false;
	$result['err_msg'] = $SZ_SESSION_LOST;
}

if ($result['success'] && $_POST['action'] == "get_uploadable_album_list") {
	$db_result = PHOTO_DB_Query($GLOBALS['dbconn_photo'], $query);

	while($row = PHOTO_DB_FetchRow($db_result)) {
		$result['uploadable_albums'][] = $row[0];
	}
} else if ($result['success'] && $_POST['action'] == "get_all_subalbum_list") {
	if (true == @chdir(SYNOPHOTO_SERVICE_DIR.'/'.$_POST['path'])) {
		foreach (glob('{,.}*', GLOB_BRACE | GLOB_ONLYDIR) as $dir) {
			if($dir != SYNOPHOTO_EADIR && $dir !== '.' && $dir !== '..' && false == csSYNOPhotoMisc::isSkipPhotoDev(SYNOPHOTO_SERVICE_DIR.'/'.$_POST['path'].'/'.$dir, $_SESSION[SYNOPHOTO_ADMIN_USER]['mount_dev_list'])
			   && csSYNOPhotoMisc::IsUtf8($dir)) {
				$result['sub_albums'][] = $dir;
			}
		}
	}
}

// transform from unicode back to utf8
echo preg_replace("#\\\u([0-9a-f]{4}+)#ie", "iconv('UCS-2', 'UTF-8', pack('H4', '\\1'))", json_encode($result));

?>
