<?php
require_once('include/synophoto_mobile_conf.php');

if (isset($_GET['refresh'])) {
	// refresh the cache
	csSYNOPhotoDB::GetDBInstance()->SetSessionCache(true);
}

if (isSet($_GET['mostRecent'])) {
	$isMostRecent = ('true' == $_GET['mostRecent']);
}

$albumList = array();

if ($isMostRecent) {
	$mostRecentPhotos = csSYNOPhotoBrowse::GetBrowseInstance()->GetMostRecentAlbumThumb('photo');
	if ($mostRecentPhotos) {
		$albumList[] = $mostRecentPhotos;
	}

	$mostRecentVideos = csSYNOPhotoBrowse::GetBrowseInstance()->GetMostRecentAlbumThumb('video');
	if ($mostRecentVideos) {
		$albumList[] = $mostRecentVideos;
	}
}

$smartAlbumList = csSYNOPhotoBrowse::GetBrowseInstance()->GetSmartAlbum();

foreach($smartAlbumList as $value) {
	$albumList[] = $value;
}

$guestLogin = true;
if (isset($_SESSION[SYNOPHOTO_ADMIN_USER]['admin_syno_user']) || isset($_SESSION[SYNOPHOTO_ADMIN_USER]['reg_syno_user'])) {
	$guestLogin = false;
}

$result['albums'] = $albumList;
$result['isGuestLogin'] = $guestLogin;

echo json_encode($result);
?>